---
Debugger:
  DebugThreshold: debug
  TestMode: '0'
Description: Ticket Connector SOAP Sample
FrameworkVersion: 6.0.x git
Provider:
  Operation:
    SessionCreate:
      Description: Create a Session
      MappingInbound: {}
      MappingOutbound: {}
      Type: Session::SessionCreate
    SessionGet:
      Description: Retreive Session data
      MappingInbound: {}
      MappingOutbound: {}
      Type: Session::SessionGet
    TicketCreate:
      Description: Create a Ticket
      MappingInbound: {}
      MappingOutbound: {}
      Type: Ticket::TicketCreate
    TicketGet:
      Description: Retrieve Ticket data
      MappingInbound: {}
      MappingOutbound: {}
      Type: Ticket::TicketGet
    TicketGetList:
      Description: Retrieve Ticket data for a List of Ticket IDs
      MappingInbound: {}
      MappingOutbound: {}
      Type: Ticket::TicketGet
    TicketHistoryGet:
      Description: Retrieve Ticket history data
      MappingInbound: {}
      MappingOutbound: {}
      Type: Ticket::TicketHistoryGet
    TicketSearch:
      Description: Search for Tickets
      MappingInbound: {}
      MappingOutbound: {}
      Type: Ticket::TicketSearch
    TicketUpdate:
      Description: Update a Ticket
      MappingInbound: {}
      MappingOutbound: {}
      Type: Ticket::TicketUpdate
  Transport:
    Config:
      MaxLength: '100000000'
      NameSpace: http://www.otrs.org/TicketConnector/
      RequestNameFreeText: ''
      RequestNameScheme: Plain
      ResponseNameFreeText: ''
      ResponseNameScheme: Response
    Type: HTTP::SOAP
RemoteSystem: ''
Requester:
  Transport:
    Type: ''
